unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, ExtCtrls;

type

  { Tfrmprincipal }

  Tfrmprincipal = class(TForm)
    Image1: TImage;
    Image10: TImage;
    Image11: TImage;
    Image12: TImage;
    Image13: TImage;
    Image14: TImage;
    Image15: TImage;
    Image16: TImage;
    Image2: TImage;
    Image3: TImage;
    Image4: TImage;
    Image5: TImage;
    Image6: TImage;
    Image7: TImage;
    Image8: TImage;
    Image9: TImage;
    pnpTitCad: TPanel;
    pnpTitPri: TPanel;
    pnpTitEst: TPanel;
    pnpPriCad: TPanel;
    pnpTitVen: TPanel;
    pnpCadCad: TPanel;
    pnpEstGru: TPanel;
    pnpVenPDV: TPanel;
    pnpVenCai: TPanel;
    pnpEstPro: TPanel;
    pnpPriEst: TPanel;
    pnpVENDAS: TPanel;
    pnpESTOQUE: TPanel;
    pnpPRINCIPAL: TPanel;
    pnpCadVol: TPanel;
    pnpVenVol: TPanel;
    pnpEstVol: TPanel;
    pnpPriSai: TPanel;
    pnpCadVen: TPanel;
    pnpCadEst: TPanel;
    pnpCADASTRO: TPanel;
    pnpTitulo: TPanel;
    pnpVenRel: TPanel;
    pnpEstFor: TPanel;
    pnpPriVen: TPanel;
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure pnpCadCadClick(Sender: TObject);
    procedure pnpCadCadEnter(Sender: TObject);
    procedure pnpCadCadMouseEnter(Sender: TObject);
    procedure pnpCadCadMouseLeave(Sender: TObject);
    procedure pnpCadVolClick(Sender: TObject);
    procedure pnpEstVolClick(Sender: TObject);
    procedure pnpPriCadClick(Sender: TObject);
    procedure pnpPriEstClick(Sender: TObject);
    procedure pnpCADASTROClick(Sender: TObject);
    procedure pnpPriSaiClick(Sender: TObject);
    procedure pnpPriVenClick(Sender: TObject);
    procedure pnpVenVolClick(Sender: TObject);
  private
  Procedure SelecionaMenu(nMenu: Integer);

  public

  end;

var
  frmprincipal: Tfrmprincipal;

implementation

uses ufrmcadastro;

{$R *.lfm}

{ Tfrmprincipal }

procedure Tfrmprincipal.pnpCadCadEnter(Sender: TObject);
begin
  ufrmcadastro := frmcadastro.Create(Self);
  try
    ufrmcadastro.pnpTitulo.caption := 'Tela de Cadastro';
    ufrmcadastro.Showmodal;
  finally
    ufrmcadastro.Release //destroi
    frmcadastro := nil;
  end;

end;

procedure Tfrmprincipal.FormShow(Sender: TObject);
begin
  SelecionaMenu(0);
end;

procedure Tfrmprincipal.pnpCadCadClick(Sender: TObject);
begin

end;

procedure Tfrmprincipal.FormCreate(Sender: TObject);
begin

end;

procedure Tfrmprincipal.pnpCadCadMouseEnter(Sender: TObject);
begin
    if not (Sender is TPanel) then
  exit;
  (Sender as TPanel).Color := RGBToColor(43,162,182);
end;

procedure Tfrmprincipal.pnpCadCadMouseLeave(Sender: TObject);
begin
    if not (Sender is TPanel) then
  exit;
  (Sender as TPanel).ParentColor := True;
end;

procedure Tfrmprincipal.pnpCadVolClick(Sender: TObject);
begin
  SelecionaMenu(0);
end;

procedure Tfrmprincipal.pnpEstVolClick(Sender: TObject);
begin
  SelecionaMenu(0);
end;

procedure Tfrmprincipal.pnpPriCadClick(Sender: TObject);
begin
  SelecionaMenu(1);
end;

procedure Tfrmprincipal.pnpPriEstClick(Sender: TObject);
begin
  SelecionaMenu(2);
end;

procedure Tfrmprincipal.pnpCADASTROClick(Sender: TObject);
begin

end;

procedure Tfrmprincipal.pnpPriSaiClick(Sender: TObject);
begin
  Application.Terminate;
end;

procedure Tfrmprincipal.pnpPriVenClick(Sender: TObject);
begin
  SelecionaMenu(3);
end;

procedure Tfrmprincipal.pnpVenVolClick(Sender: TObject);
begin
  SelecionaMenu(0);
end;

procedure Tfrmprincipal.selecionaMenu(nMenu: integer);
begin
  if nMenu = 0 then //mostra menu prin.
  begin
    pnpPRINCIPAL.Visible := true;
    pnpCADASTRO.Visible := false;
    pnpESTOQUE.Visible := false;
    pnpVENDAS.Visible := false
  end
  else if nmenu = 1 then //mostra menu cadastro
  begin
    pnpPRINCIPAL.Visible := false;
    pnpCADASTRO.Visible := true;
    pnpESTOQUE.Visible := false;
    pnpVENDAS.Visible := false;
  end
   else if nmenu = 2 then//mostra menu estoque
  begin
    pnpPRINCIPAL.Visible := false;
    pnpCADASTRO.Visible := false;
    pnpESTOQUE.Visible := true;
    pnpVENDAS.Visible := false;
  end
else if nmenu = 3 then //mostra menu vendas
 begin
   pnpPRINCIPAL.Visible := false;
   pnpCADASTRO.Visible := false;
   pnpESTOQUE.Visible := false;
   pnpVENDAS.Visible := true;
 end
else
begin
  begin
    pnpPRINCIPAL.Visible := true;
    pnpCADASTRO.Visible := false;
    pnpESTOQUE.Visible := false;
    pnpVENDAS.Visible := false
  end;
end;
end;


end.

